Debian Bug report logs - #659199
live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Piotr <upiter77@lycos.com>

Date: Thu, 9 Feb 2012 02:06:02 UTC

Severity: normal

Found in version live-build/3.0~a43-1

Fixed in version 3.0~a44-1

Done: daniel.baumann@progress-technologies.net

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, upiter77@lycos.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Thu, 09 Feb 2012 02:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr <upiter77@lycos.com>:
New Bug report received and forwarded. Copy sent to upiter77@lycos.com, Debian Live Project <debian-live@lists.debian.org>. (Thu, 09 Feb 2012 02:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr <upiter77@lycos.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
Date: Thu, 09 Feb 2012 03:01:53 +0100
Package: live-build
Version: 3.0~a43-1
Severity: normal

Dear Maintainer,

I try to create live wheezy hdd:

# lb config -b hdd -a i386 --mode debian --distribution wheezy --linux-flavours 686 --bootloader syslinux --memtest none -p xfce

but cannot due to the following syslinux problem:

Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
debian-archive-keyring is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Hit http://ftp.de.debian.org wheezy InRelease
Hit http://ftp.de.debian.org wheezy/main Sources/DiffIndex
Hit http://ftp.de.debian.org wheezy/contrib Sources/DiffIndex
Hit http://ftp.de.debian.org wheezy/non-free Sources/DiffIndex
Hit http://ftp.de.debian.org wheezy/main i386 Packages/DiffIndex
Hit http://ftp.de.debian.org wheezy/contrib i386 Packages/DiffIndex
Hit http://ftp.de.debian.org wheezy/non-free i386 Packages/DiffIndex
Ign http://ftp.de.debian.org wheezy/contrib TranslationIndex
Hit http://ftp.de.debian.org wheezy/main TranslationIndex
Ign http://ftp.de.debian.org wheezy/non-free TranslationIndex
Ign http://ftp.de.debian.org wheezy/contrib Translation-en
Ign http://ftp.de.debian.org wheezy/main Translation-en
Ign http://ftp.de.debian.org wheezy/non-free Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
[2012-02-09 02:52:30] lb_binary_manifest 
P: Begin creating manifest...
[2012-02-09 02:52:30] lb_binary_package-lists 
P: Begin installing local package lists...
[2012-02-09 02:52:31] lb_binary_linux-image 
P: Begin install linux-image...
[2012-02-09 02:52:31] lb_binary_debian-installer 
[2012-02-09 02:52:31] lb_binary_memtest 
P: Begin installing memtest...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  hwtools memtester kernel-patch-badram memtest86 grub-pc grub-legacy mtools
The following NEW packages will be installed:
  memtest86+
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 288 kB of archives.
After this operation, 2460 kB of additional disk space will be used.
Get:1 http://ftp.de.debian.org/debian/ wheezy/main memtest86+ i386 4.20-1.1 [288 kB]
Fetched 288 kB in 0s (572 kB/s)   
Preconfiguring packages ...
Selecting previously unselected package memtest86+.
(Reading database ... 17817 files and directories currently installed.)
Unpacking memtest86+ (from .../memtest86+_4.20-1.1_i386.deb) ...
Setting up memtest86+ (4.20-1.1) ...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  memtest86+*
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 2460 kB disk space will be freed.
(Reading database ... 17835 files and directories currently installed.)
Removing memtest86+ ...
Purging configuration files for memtest86+ ...
[2012-02-09 02:52:41] lb_binary_grub 
[2012-02-09 02:52:41] lb_binary_grub2 
[2012-02-09 02:52:42] lb_binary_syslinux 
P: Begin installing syslinux...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  dosfstools os-prober
Recommended packages:
  mtools libcrypt-passwdmd5-perl
The following NEW packages will be installed:
  syslinux syslinux-common
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1620 kB of archives.
After this operation, 3390 kB of additional disk space will be used.
Get:1 http://ftp.de.debian.org/debian/ wheezy/main syslinux-common all 2:4.05+dfsg-2 [1520 kB]
Get:2 http://ftp.de.debian.org/debian/ wheezy/main syslinux i386 2:4.05+dfsg-2 [100 kB]
Fetched 1620 kB in 1s (1011 kB/s)  
Selecting previously unselected package syslinux-common.
(Reading database ... 17817 files and directories currently installed.)
Unpacking syslinux-common (from .../syslinux-common_2%3a4.05+dfsg-2_all.deb) ...
Selecting previously unselected package syslinux.
Unpacking syslinux (from .../syslinux_2%3a4.05+dfsg-2_i386.deb) ...
Processing triggers for man-db ...
Setting up syslinux-common (2:4.05+dfsg-2) ...
Setting up syslinux (2:4.05+dfsg-2) ...
cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists... Done
Building dependency tree       
Reading state information... Done



-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap  0.5.8+b1
ii  debootstrap   1.0.38

Versions of packages live-build recommends:
ii  cpio                            2.11-7
ii  gettext-base                    0.18.1.1-5
ii  gnu-fdisk                       1.2.4-3
ii  live-boot-doc                   3.0~a24-1
ii  live-config-doc                 3.0~a31-1
ii  live-manual-html [live-manual]  1:3.0~a9-1

Versions of packages live-build suggests:
pn  dosfstools                  3.0.12-1
pn  genisoimage                 <none>
pn  memtest86+ | memtest86      <none>
pn  mtools                      4.0.12-1
pn  parted                      <none>
pn  squashfs-tools | mtd-tools  <none>
pn  sudo                        1.8.3p2-1
pn  syslinux | grub             <none>
pn  uuid-runtime                <none>
pn  win32-loader                <none>

-- no debconf information




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Thu, 09 Feb 2012 08:15:04 GMT) Full text and rfc822 format available.

Notification sent to Piotr <upiter77@lycos.com>:
Bug acknowledged by developer. (Thu, 09 Feb 2012 08:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 659199-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Piotr <upiter77@lycos.com>
Cc: 659199-done@bugs.debian.org
Subject: Re: Bug#659199: live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
Date: Thu, 09 Feb 2012 09:12:19 +0100
[Message part 1 (text/plain, inline)]
On 02/09/2012 03:01 AM, Piotr wrote:
> # lb config -b hdd -a i386 --mode debian --distribution wheezy --linux-flavours 686 --bootloader syslinux --memtest none -p xfce

this exact configuration did work for me and produced a correct image,
see attached build log.

i suggest you do a rebuild from scratch in order to reproduce it with
above lb config in an empty directory, followed by 'lb build 2>&1 | tee
log'. feel free to reopen if the error persist and attach the complete
log file.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/
[log.gz (application/gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Thu, 09 Feb 2012 14:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 09 Feb 2012 14:51:10 GMT) Full text and rfc822 format available.

Message #15 received at 659199@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: 659199@bugs.debian.org, daniel.baumann@progress-technologies.net
Subject: Re: Bug#659199: Acknowledgement (live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory)
Date: Thu, 9 Feb 2012 14:42:09 +0000 (GMT)
[Message part 1 (text/html, inline)]
[build.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Thu, 09 Feb 2012 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 09 Feb 2012 15:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 659199@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 659199@bugs.debian.org
Subject: Re: Bug#659199: Acknowledgement (live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory)
Date: Thu, 09 Feb 2012 16:12:25 +0100
On 02/09/2012 03:42 PM, upiter77@lycos.com wrote:
> I've done what you suggest and still get this problem:

and you are really, really sure that you're using live-build 3.0~a43-1 
and have no tained build system?

like i said, i cannot reproduce that at all, it just works.

the next step would be to rule out the host systems configuration and 
build in a chroot:

  # debootstrap sid sid http://ftp.de.debian.org/debian/
  # chroot sid
  # apt-get install live-build
  # mkdir debian-live
  # cd debian-live
  # lb config --mode debian -d wheezy -b hdd -p xfce
  # lb build

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Sun, 12 Feb 2012 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 12 Feb 2012 21:33:04 GMT) Full text and rfc822 format available.

Message #25 received at 659199@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 659199@bugs.debian.org
Cc: 659199-submitter@bugs.debian.org
Subject: Re: live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
Date: Sun, 12 Feb 2012 22:28:40 +0100
reopen 659199
found 659199 3.0~a43-1
close 659199 3.0~a44-1
thanks

the problem is that dh_link does convert absolute symlinks to relative
symlinks. bootloader configs in /usr/share/live/build/bootloaders rely
on being absolute symlinks, otherwise chrooted builds would not work
without tainting the target system with files from the host system. i
haven't experienced this myself first because i have not been using lb
from .debs but from git where the symlinks where absolute.

this has been fixed in 3.0~a44-1 by workarounding dh_link.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Feb 2012 21:33:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 3.0~a44-1, send any further explanations to Piotr <upiter77@lycos.com> Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 12 Feb 2012 21:33:07 GMT) Full text and rfc822 format available.

Message sent on to Piotr <upiter77@lycos.com>:
Bug#659199. (Sun, 12 Feb 2012 21:33:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Mon, 13 Feb 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 13 Feb 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 659199@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: 659199@bugs.debian.org, 659199-submitter@bugs.debian.org, daniel.baumann@progress-technologies.net
Subject: Re: Bug#659199: live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
Date: Mon, 13 Feb 2012 00:00:28 +0000 (GMT)
[Message part 1 (text/html, inline)]

Message sent on to Piotr <upiter77@lycos.com>:
Bug#659199. (Mon, 13 Feb 2012 00:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Mon, 13 Feb 2012 01:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 13 Feb 2012 01:27:08 GMT) Full text and rfc822 format available.

Message #45 received at 659199@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>, 659199@bugs.debian.org
Cc: 659199-submitter@bugs.debian.org, daniel.baumann@progress-technologies.net
Subject: Re: Bug#659199: live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
Date: Sun, 12 Feb 2012 20:56:34 -0400
On 12/02/12 08:00 PM, upiter77@lycos.com wrote:
> Thx a lot Daniel, but where can I download 3.0~a44-1 to install on wheezy?

It has been uploaded to unstable:

http://packages.qa.debian.org/l/live-build.html

As usual, wait until it appears at your archive mirror. You should have
no problem installing the unstable version of the package on wheezy (or
else you can just wait until it migrates from unstable -> testing, but
that takes the usual delay for migrations).

Ben




Message sent on to Piotr <upiter77@lycos.com>:
Bug#659199. (Mon, 13 Feb 2012 01:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659199; Package live-build. (Fri, 17 Feb 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 17 Feb 2012 18:51:04 GMT) Full text and rfc822 format available.

Message #53 received at 659199@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: 659199@bugs.debian.org
Cc: 659199-submitter@bugs.debian.org, daniel.baumann@progress-technologies.net, synrg@sanctuary.nslug.ns.ca
Subject: Re: Bug#659199: live-build: live wheezy -> cp: cannot stat `/root/syslinux/vesamenu.c32': No such file or directory
Date: Fri, 17 Feb 2012 17:36:10 +0000 (GMT)
[Message part 1 (text/html, inline)]

Message sent on to Piotr <upiter77@lycos.com>:
Bug#659199. (Fri, 17 Feb 2012 18:51:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:45:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:45:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.